package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.RoomItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 房间物品Mapper接口
 * 
 * @author chen
 * @date 2024-02-23
 */
@Mapper
public interface RoomItemMapper extends BaseMapper<RoomItem> {
    /**
     * 查询房间物品
     * 
     * @param id 房间物品ID
     * @return 房间物品
     */
    RoomItem selectRoomItemById(Long id);

    /**
     * 查询房间物品列表
     * 
     * @param roomItem 房间物品
     * @return 房间物品集合
     */
    List<RoomItem> selectRoomItemList(RoomItem roomItem);

    /**
     * 新增房间物品
     * 
     * @param roomItem 房间物品
     * @return 结果
     */
    int insertRoomItem(RoomItem roomItem);

    /**
     * 修改房间物品
     * 
     * @param roomItem 房间物品
     * @return 结果
     */
    int updateRoomItem(RoomItem roomItem);

    /**
     * 删除房间物品
     * 
     * @param id 房间物品ID
     * @return 结果
     */
    int deleteRoomItemById(Long id);

    /**
     * 批量删除房间物品
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteRoomItemByIds(String[] ids);
}
